%define version 1.32
%define release 1mdk
%define name bubblemon

Summary:  WindowMaker dockapp CPU, memory, swap and load average monitor
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Monitoring
Source0:	%{name}-dockapp-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
URL:		http://www.ne.jp/asahi/linux/timecop/
Requires:	XFree86-libs, xpm
BuildRequires:	XFree86-devel, xpm-devel
Prefix:		/usr/X11R6
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This is a system monitoring dockapp, visually based on the GNOME "BubbleMon"
applet. Basically, it displays CPU and memory load as bubbles in a jar of water.
But that is where similarity ends. New bubblemon-dockapp features translucent
CPU load meter (for accurate CPU load measurement), yellow duck swimming back
and forth on the water surface (just for fun), and fading load average and
memory usage screens. Either of the info screens can be locked to stay on top of
water/duck/cpu screen, so that you can see both statistics at once. Pretty nifty
toy for your desktop. Code has been thoroughly optimized since version 1.0, and
even with all the features compiled in, BubbleMon still uses very little CPU
time. All the extra "bloated" features can be compiled out or disabled on
command-line, if you prefer original "BubbleMon" look.

%prep

%setup -n %{name}-dockapp-%{version}

%build
# ./configure --prefix="$RPM_BUILD_ROOT"%{prefix}/
EXTRA="-DENABLE_DUCK -DENABLE_CPU-DENABLE_MEMSCREEN" \
CFLAGS="$RPM_OPT_FLAGS `gtk-config --cflags` ${EXTRA} ${WMAN}" \
make
     
%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
tar xOjf %SOURCE1 %{name}-16x16.xpm > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
tar xOjf %SOURCE1 %{name}-32x32.xpm > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
tar xOjf %SOURCE1 %{name}-48x48.xpm > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

mkdir -p $RPM_BUILD_ROOT%{prefix}/bin/
install -m 755 bubblemon $RPM_BUILD_ROOT%{prefix}/bin/

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{prefix}/bin/%{name} -b" icon="%{name}.xpm"\\
                 needs="X11" section="Applications/Monitoring" title="BubbleMon"\\
                 longtitle="Monitoring-duck-in-a-jar dockapp"
EOF


%clean
[ -z $RPM_BUILD_ROOT ] || {
    rm -rf $RPM_BUILD_ROOT
}


%post
%{update_menus}


%postun
%{clean_menus}


%files
%defattr (-,root,root)
%doc ChangeLog INSTALL README doc/Xdefaults.sample
%{prefix}/bin/*
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_menudir}/%{name}

%changelog
* Thu May 31 2001 HA Quc-Vit <viet@mandrakesoft.com> 1.32-1mdk
- Initial release.
